<template>
  <div>
    <base-card>
      <EasyDataTable
        :headers="headers"
        :items="items"
        :rows-per-page="10"
      >
      <template #item-operation="item">
        <div class="operation-wrapper">
          <button @click="deleteItem(item)">Borrar</button>
          <button>Editar</button>
        </div>
      </template>
      </EasyDataTable>
    </base-card>
  </div>
</template>

<script>
export default{
  components:{
    EasyDataTable: window['vue3-easy-data-table']
  },
  data() {
      return{
        headers:[
        { text: "Nombre", value: "nombre" },
        { text: "Edad", value: "edad" },
        { text: "Sexo", value: "sexo" },
        { text: "Especie", value: "especie" },
        { text: "Pelaje", value: "pelaje"},
        { text: "Descripcion", value: "descripcion" },
        { text: "Operacion", value: "operation" },
        ],
        items:[]
      };
  },
  created(){
    this.cargarMascotas();
    this.obtenerListaMascotas();
  },
  methods:{
    obtenerListaMascotas(){
      this.items=this.$store.getters['mascotas/mascotas'];
      console.log(this.items);
    },
    cargarMascotas(){
      this.$store.dispatch('mascotas/cargarMascotas');
    },
    eliminarMascota(){
      // this.items=
    }
  }
}
</script>

